Bug 1122835 - [ovirt-guest-agent] [SLES] ovirt GA does not report all IPv4 addresses
Summary: [ovirt-guest-agent] [SLES] ovirt GA does not report all IPv4 addresses
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-guest-agent
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Pavel Stehlik
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 08:06 UTC by Jiri Belka
Modified: 2016-02-10 19:51 UTC (History)
7 users (show)

Fixed In Version: python-ethtool-0.8-1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:22:10 UTC
oVirt Team: Virt


Attachments (Terms of Use)

Description Jiri Belka 2014-07-24 08:06:34 UTC
Description of problem:

rhevm-guest-agent-common-1.0.9-5.el6ev.noarch does report all IPv4 addresses but not ovirt-guest-agent-common-1.0.10-3.1 on SLES.

# cat /etc/SuSE-release 
SUSE Linux Enterprise Server 11 (x86_64)
VERSION = 11
PATCHLEVEL = 3

linux-kr4g:~ # ip a s
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
    inet 127.0.0.2/8 brd 127.255.255.255 scope host secondary lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:1a:4a:e4:3f:41 brd ff:ff:ff:ff:ff:ff
    inet 10.34.60.158/22 brd 10.34.63.255 scope global eth0
    inet6 2620:52:0:223c:21a:4aff:fee4:3f41/64 scope global dynamic 
       valid_lft 2591963sec preferred_lft 604763sec
    inet6 fe80::21a:4aff:fee4:3f41/64 scope link 
       valid_lft forever preferred_lft forever
linux-kr4g:~ # ip a add 172.16.1.1/24 dev eth0

[root@dell-r210ii-04 bin]# vdsClient -s 0 getVmStats 375c8924-117f-4651-a549-f1cb9f28e687 | grep netI
        netIfaces = [{'inet6': ['fe80::21a:4aff:fee4:3f41', '2620:52:0:223c:21a:4aff:fee4:3f41'], 'hw': '00:1a:4a:e4:3f:41', 'inet': ['172.16.1.1'], 'name': 'eth0'}]

Version-Release number of selected component (if applicable):
ovirt-guest-agent-common-1.0.10-3.1

How reproducible:
100%

Steps to Reproduce:
1. ip a s ; ip a add 172.16.1.1/24 dev eth0
2. wait
3. vdsClient -s 0 getVmStat $uuid | grep netI

Actual results:
just 1 IPv4 address

Expected results:
all like d/s on RHEL does

Additional info:
FYA even DEBUG level for ovirt GA does show _NOTHING_ about IPs in the log!

Comment 1 Vinzenz Feenstra [evilissimo] 2014-07-29 11:09:22 UTC
We're currently providing an old version of python-ethtool, we'll have to provide a newer version of python-ethtool

Comment 2 Vinzenz Feenstra [evilissimo] 2014-08-04 08:29:02 UTC
I have released the version 0.8 of the python-ethtool rpm on the isntallation repository.

Comment 3 Jiri Belka 2014-08-08 08:36:53 UTC
ok, python-ethtool-0.8-1.1

# vdsClient -s 0 getVmStats 375c8924-117f-4651-a549-f1cb9f28e687 | grep netIf
        netIfaces = [{'inet6': ['fe80::21a:4aff:fee4:3f41', '2620:52:0:223c:21a:4aff:fee4:3f41'], 'hw': '00:1a:4a:e4:3f:41', 'inet': ['10.34.60.158', '172.16.3.1'], 'name': 'eth0'}]

# rpm -qa python-eth\* ovirt-guest\*
ovirt-guest-agent-common-1.0.10-4.1
python-ethtool-0.8-1.1

Comment 4 Sandro Bonazzola 2014-10-17 12:22:10 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.